Name:           libircclient
Version:        1.3
Release:        1%{?dist}
Summary:        libircclient implements client-server IRC protocol
Group:          System Environment/Libraries
License:        Unknown
URL:            http://libircclient.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/libircclient/libircclient/%{version}/libircclient-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
It is designed to be small, fast, portable and compatible to RFC standards,
and most IRC clients. libircclient features include:
  * Full multi-threading support.
  * Single threads handles all the IRC processing.
  * Support for single-threaded applications, and socket-based
    applications, which use select()
  * Synchronous and asynchronous interfaces.
  * CTCP support with optional build-in reply code.
  * Flexible DCC support, including both DCC chat, and DCC file transfer.
  * Can both initiate and react to initiated DCC.
  * Can accept or decline DCC sessions asynchronously.
  * Plain C interface and implementation (possible to use from C++ code,
    obviously)
  * Compatible with RFC 1459 and most IRC clients.
  * Free, licensed under LGPL license.
  * Good documentation and examples available.


%prep
%setup -q


%build
%configure --enable-ipv6

# The makefiles are retarded.
cd src/
gcc %{optflags} -I../include -c libircclient.c
ar rc libircclient-%{version}.a libircclient.o


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
cd src
install -m 644 libircclient-%{version}.a $RPM_BUILD_ROOT%{_libdir}/
cd ../include
for hdr in libirc*.h ; do
    install -m 644 "$hdr" $RPM_BUILD_ROOT%{_includedir}/
done
cd ../doc
for mp in man/man3/*.3 ; do
    install -m 644 "$mp" $RPM_BUILD_ROOT%{_mandir}/man3/
done



%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/*
%{_libdir}/libircclient-%{version}.a
%{_mandir}/man3/*


%changelog
* Wed Jun 2 2010 Conrad Meyer <konrad@tylerc.org> - 1.3-1
- First attempt at a package (crappy)
